## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLightIterator Member List

This is the complete list of members for iLightIterator, including all inherited members.

AddRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
DecRef()=0 | iBase | `[pure virtual]`
GetLastSector()=0 | iLightIterator | `[pure virtual]`
GetRefCount()=0 | iBase | `[pure virtual]`
HasNext()=0 | iLightIterator | `[pure virtual]`
IncRef()=0 | iBase | `[pure virtual]`
Next()=0 | iLightIterator | `[pure virtual]`
QueryInterface(scfInterfaceID iInterfaceID, int iVersion)=0 | iBase | `[pure virtual]`
RemoveRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
Reset()=0 | iLightIterator | `[pure virtual]`